package com.ruoyi.fbs.service;


import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.fbs.bo.FbsProjectTaskQueryBo;
import com.ruoyi.fbs.domain.FbsProjectTask;
import com.ruoyi.fbs.domain.dto.AppTaskDTO;
import com.ruoyi.fbs.domain.vo.AppTaskDetailVO;
import com.ruoyi.fbs.domain.vo.AppTaskVO;

import java.util.Collection;
import java.util.List;

/**
 * 分包商项目任务Service接口
 *
 * @author ruoyi
 * @date 2025-02-17
 */
public interface IFbsProjectTaskService extends IServicePlus<FbsProjectTask> {
    /**
     * 查询单个
     * @return
     */
    FbsProjectTask queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<FbsProjectTask> queryPageList(FbsProjectTaskQueryBo bo);

    /**
     * 查询列表
     */
    List<FbsProjectTask> queryList(FbsProjectTaskQueryBo bo);

    /**
     * 根据新增业务对象插入分包商项目任务
     * @param bo 分包商项目任务新增业务对象
     * @return
     */
    Boolean insert(FbsProjectTask bo);

    /**
     * 根据编辑业务对象修改分包商项目任务
     * @param bo 分包商项目任务编辑业务对象
     * @return
     */
    Boolean update(FbsProjectTask bo);

    /**
     * 校验并删除数据
     * @param ids 主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


	/**
	 * 包工头查询列表
	 */
	TableDataInfo<AppTaskVO> appQueryPageList(AppTaskDTO dto);

	/**
	 * 任务详情
	 */
	AppTaskDetailVO appQueryById(Long id);
}
